Skip to main content

Get Report

Example Request

{
"jsonrpc": "2.0",
"method": "cartesi_getReport",
"params": {
"application": "<name-or-address>",
"report_index": "<hex-encoded-index>"
},
"id": 1
}

The cartesi_getReport method retrieves detailed information about a specific report by its application and index.

Parameters

NameTypeRequiredDescription
applicationstringYesThe application's name or hex encoded address
report_indexstringYesThe index of the report to be retrieved (hex encoded)

Response

{
"jsonrpc": "2.0",
"result": {
"data": {
"epoch_index": "0x1",
"input_index": "0x1",
"index": "0x1",
"raw_data": "0x48656c6c6f",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
},
"id": 1
}

Response Fields

NameTypeDescription
epoch_indexstringThe epoch index this report belongs to (hex encoded)
input_indexstringThe input index this report belongs to (hex encoded)
indexstringThe report index (hex encoded)
raw_datastringThe report payload in hexadecimal format
created_atstringTimestamp when the report was created
updated_atstringTimestamp when the report was last updated

Error Codes

CodeMessageDescription
-32602Invalid paramsInvalid parameter values
-32000Application not foundThe specified application does not exist
-32004Report not foundThe specified report does not exist
-32603Internal errorAn internal error occurred
We use cookies to ensure that we give you the best experience on our website. By using the website, you agree to the use of cookies.